<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <title>Vorschauzeile</title>
        <?php
            $theme = 'greyhound.css';

            switch ( strtolower( $_GET['theme'] ) ) {
                case 'greyhound lite':
                    $theme = 'greyhound-lite.css';
                    break;
                
                case '':
                    $theme = 'greyhound-none.css';
                    break;
            }

            echo '<link rel="stylesheet" type="text/css" href="css/' . $theme . '">';
        ?>
    </head>
    <body class="ghAddon ghSidebar">
        <div class="ghContent">
            <?php
                error_reporting( 0 );

                // Element-ID:
                $itemId = $_GET['itemId'];

                if ( $itemId )
                    echo '<div><b>Element:</b> ' . htmlentities( $itemId ) . '</div>';


                // Gruppen-ID des Elements:
                $groupId = $_GET['groupId'];

                if ( $groupId )
                    echo '<div><b>Gruppe:</b> ' . htmlentities( $groupId ) . '</div>';


                // Themen-ID des Elements:
                $topicId = $_GET['topicId'];

                if ( $topicId )
                    echo '<div><b>Thema:</b> ' . htmlentities( $topicId ) . '</div>';


                // Kennzeichnungs-ID des Elements:
                $colorId = $_GET['colorId'];

                if ( $colorId )
                    echo '<div><b>Kennzeichnung:</b> ' . htmlentities( $colorId ) . '</div>';


                // Abbsender E-Mail-Adresse des Elements:
                $email = $_GET['email'];

                if ( $email )
                    echo '<div><b>E-Mail von:</b> ' . htmlentities( $email ) . '</div>';


                // Telefonnummer bei eingehenden Anrufen im Softphone:
                $phone = $_GET['phone'];

                if ( $phone )
                    echo '<div><b>Anruf von:</b> ' . htmlentities( $phone ) . '</div>';


                // Auftragsnummer aus Betreff/Inhalt:
                $orderNumber = $_GET['orderNumber'];

                if ( $orderNumber ) {
                    // Auftragsnummer als Hyperlink anzeigen:
                    $url = 'https://google.com?q=' . rawurlencode( $orderNumber );

                    if ( $url )
                        echo '<div><b>Auftrag:</b> <a href="' . $url . '" target="_blank">' . htmlentities( $orderNumber ) . '</a></div>';
                    else
                        echo '<div><b>Auftrag:</b> ' . htmlentities( $orderNumber ) . '</div>';

                    // Storno-Button (Link zur Warenwirtschaft) anzeigen:
                    $cancellationUrl = 'https://my-erp-api/cancel/?orderNumber=' . rawurlencode( $orderNumber );
                    echo '<div><a class="button" href="' . $cancellationUrl . '" target="_blank">Storno</a></div>';
                }
            ?>
        </div>
    </body>
</html>